<div class="row">
  <div class="column">
    <div *ngFor="let t of users">
      <app-user [user]="t"></app-user>
    </div>
  </div>
  <div class="column">
    <form class="example-form">
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Firstname</mat-label>
        <textarea [(ngModel)]="user.firstName" name="firstname" matInput placeholder="Your firstname"></textarea>
      </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Lastname</mat-label>
        <textarea [(ngModel)]="user.lastName" name="lastname" matInput placeholder="Your lastname"></textarea>
      </mat-form-field>
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Email</mat-label>
        <textarea [(ngModel)]="user.email" name="email" matInput placeholder="Your email"></textarea>
      </mat-form-field>

      <mat-form-field appearance="fill">
        <mat-label>Choose team</mat-label>
        <mat-select [(ngModel)]="newTeamName" name="team">
          <mat-option *ngFor="let team of teams" [value]="team.name" ngDefaultControl>
            {{team.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field appearance="fill" class="example-full-width">
        <mat-label>Choose a date</mat-label>
        <input [(ngModel)]="user.birthDay" name="deadline" matInput [matDatepicker]="datepicker">
        <mat-datepicker-toggle matSuffix [for]="datepicker"></mat-datepicker-toggle>
        <mat-datepicker #datepicker>
          <mat-datepicker-actions>
            <button mat-button matDatepickerCancel>Cancel</button>
            <button mat-raised-button color="primary" matDatepickerApply>Apply</button>
          </mat-datepicker-actions>
        </mat-datepicker>
      </mat-form-field>
    </form>
    <p>
      <button mat-icon-button color="primary" matTooltip="Post it" (click)="sendUser()">
        <mat-icon aria-label="Send">send</mat-icon>
      </button>
    </p>
  </div>